Bug 998466 - Error in portlet and unknown error when import site with moved footer portlet
Error in portlet and unknown error when import site with moved footer portlet
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity unspecified
: DR02
: 6.1.1
Assigned To: Peter Palaga
Dominik Pospisil
FixPossiblyAvail
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 07:32 EDT by mgottval
Modified: 2015-01-05 08:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Due to problem in the cache code, certain times the site import fails with the error "The portlet encountered an error and could not be displayed". Cache handling in " POMSessionManager " resolves the issue.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ErrorInPortlet (68.57 KB, image/png)
2013-08-19 07:32 EDT, mgottval
no flags Details

  None (edit)
Description mgottval 2013-08-19 07:32:32 EDT
Created attachment 788012 [details]
ErrorInPortlet

1. Log in as root
2. Site - Manage Sites - Add New Portal
3. Edit navigation - Add Node - add node with some selected page, I added e.g. "groupnavgation"
4. Go to this site - Site Editor - Edit Layout - Move Footer Portlet between Banner Portlet and Navigation Portlet - Finish
5. Group - Administration - Site Redirects And Export/Import - export created site
6. delete Site in Site - Manage Sites
7. Group - Administration - Site Redirects And Export/Import - import this site, reload page
8. Your site appears in Sites menu, go to the site - when you click the created node, there is the selected page - when you try to edit this page (Site Editor - Edit Page), and Finish e.g. just with no changes, there is few times error "This portlet encountered an error and could not be displayed"
When you click the Home page of this created and imported site, the Edit Page is even not possible, the "Unknown Error" appears




There are errors in log:

ERROR [portal:UIPortletLifecycle] (http-/0.0.0.0:8080-2) Portlet render threw an exception: org.exoplatform.services.portletcontainer.PortletContainerException: org.exoplatform.portal.config.NoSuchDataException: Can not find 964a02b47f00000113ab1e5b0066cdfc
	at org.exoplatform.portal.webui.application.UIPortletLifecycle.processRender(UIPortletLifecycle.java:197) [exo.portal.webui.portal-3.6.2.Final-redhat-1.jar:3.6.2.Final-redhat-1]
	at org.exoplatform.portal.webui.application.UIPortletLifecycle.processRender(UIPortletLifecycle.java:54) [exo.portal.webui.portal-3.6.2.Final-redhat-1.jar:3.6.2.Final-redhat-1]
	at org.exoplatform.webui.core.UIComponent.processRender(UIComponent.java:128) [exo.portal.webui.framework-3.6.2.Final-redhat-1.jar:3.6.2.Final-redhat-1]
...

13:19:42,450 ERROR [portal:UIPortalApplication] (http-/0.0.0.0:8080-2) Error during the processAction phase: org.exoplatform.portal.config.NoSuchDataException: Can not find 964a02bc7f0000014000618e6934d953
	at org.exoplatform.portal.pom.config.POMSession.findCustomizationById(POMSession.java:183) [exo.portal.component.portal-3.6.2.Final-redhat-1.jar:3.6.2.Final-redhat-1]
	at org.exoplatform.portal.pom.config.tasks.PreferencesTask$GetContentId.run(PreferencesTask.java:47) [exo.portal.component.portal-3.6.2.Final-redhat-1.jar:3.6.2.Final-redhat-1]
	at org.exoplatform.portal.pom.config.tasks.PreferencesTask$GetContentId.run(PreferencesTask.java:37) [exo.portal.component.portal-3.6.2.Final-redhat-1.jar:3.6.2.Final-redhat-1]
	at org.exoplatform.portal.pom.config.POMSession.execute(POMSession.java:301) [exo.portal.component.portal-3.6.2.Final-redhat-1.jar:3.6.2.Final-redhat-1]
...
Comment 2 Miroslav Cupák 2013-08-19 08:38:28 EDT
This is a case of a more general issue already logged in JIRA.

https://issues.jboss.org/browse/GTNPORTAL-2072
Comment 3 Boleslaw Dawidowicz 2013-09-12 08:13:59 EDT
Aimed for 6.1.1
Comment 4 Boleslaw Dawidowicz 2013-11-13 04:57:41 EST
Pull Request related to https://issues.jboss.org/browse/GTNPORTAL-2072 has been sent https://github.com/gatein/gatein-portal/pull/687
Comment 5 Boleslaw Dawidowicz 2013-11-19 05:10:23 EST
Nick, There is a PR for this however build failed in CI for it. Could you take a look if it solves this BZ?
Comment 6 Nick Scavelli 2013-11-21 10:57:00 EST
I don't think it solves the issue.
Comment 7 Boleslaw Dawidowicz 2013-12-10 03:16:45 EST
PR https://github.com/gatein/gatein-portal/pull/687 - seems good to merge now.
Comment 8 Peter Palaga 2013-12-17 15:02:10 EST
This issue is fixed in JBoss Portal 6.1.1.DR2. Sorry for not marking it properly last week when I released DR2.
Comment 9 mgottval 2013-12-19 08:21:03 EST
Verified on JPP 6.1.1.DR02.

Note You need to log in before you can comment on or make changes to this bug.